Deletes a category.
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/v2/categories/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/categories/{id}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
wawi
Deletes a category.
DELETE
/
v2
/
categories
/
{id}
Deletes a category.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
The ID of the category to be deleted.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Query Parameters
The ID of the destination category to which all remaining child categories will be moved.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
The category was successfully deleted.
Was this page helpful?
⌘I